#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "Templates/SubclassOf.h"
#include "K41P01.generated.h"

class UStatusEffect;
class UScreamComponent;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK41P01 : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _exposedStatusEffectClass;

	UPROPERTY(EditAnywhere)
	float _exposedDuration;

private:
	UFUNCTION(BlueprintCallable, NetMulticast, Reliable)
	void Multicast_SurvivorScream(const UScreamComponent* screamComponent) const;

public:
	UK41P01();
};

FORCEINLINE uint32 GetTypeHash(const UK41P01) { return 0; }
